
nav {
  background: #cccccc;
  height: calc(55px + 15vh); /* 205px */
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 1.5rem;
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar__container {
  visibility: visible;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: 75px;
  z-index: 1;
  width: 80vw;
  /* max-width: 1300px; */
  margin: 0 auto;
  padding-left: 10%;
  padding-right: 5%;
}

@media (max-width: 880px) {
  .navbar__container {
    padding-right: 0;
  }
}

.navbar__container img {
  height: 15vh;
}

.navbar__menu {
  display: flex;
  align-items: center;
  list-style: none;
}

/* navbar main items (not logo) */
.navbar__btn {
  width: 50%;
  height: 50px;
}

.navbar__btn a {
  /* color: #4d4b9f; */
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 12rem;
  text-align: center;
  text-decoration: none;
  height: 100%;
  transition: all 0.3s ease;
  font-family: PTSansRegular,Arial,Helvetica,sans-serif;
  font-size: 85%;
}

.navbar__btn a:hover {
  color: #999999;
  background-color: #dddddd;
  transition: all 0.3s ease;
}

.btn_and_dropdown {
  position: relative;
  display: inline-block;
}

.dropdown_content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  /*min-width: 160px;*/
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  top: 100%;
  width: 12rem;
}
.btn_and_dropdown:hover .dropdown_content {
  display: block;
}

.dropdown_content a {
  padding: 7.5% 5%;
  text-align: center;
  text-decoration: none;
  display: block;
  /* color: #4d4b9f; */
  color: black;
  background-color: #cccccc;
  font-family: PTSansRegular,Arial,Helvetica,sans-serif;
}

.dropdown_content a:hover {
  background-color: #dddddd;
  color: #999999;
  transition: all 0.3s ease;
}


/* Responsive */
.navbar__hamburger {
  display: none;
  position: absolute;
  right: 1rem;
  flex-direction: column;
  justify-content: space-between;
  width: 40px; /* ? */
  height: 50%;
  top: 25%;
  z-index: 10;
}

.navbar__hamburger .bar {
  height: 0.5vh;
  width: 5vh;
  background-color: #4d4b9f;
  border-radius: 20px;
  margin: 0.25vh auto;
}

.navbar__hamburger.active {
  right: 4%;
}
.navbar__hamburger.active .bar {
  width: 5.55vh;
}
.navbar__hamburger.active .bar.one {
  transform-origin: left;
  transform: rotate(45deg);
}
.navbar__hamburger.active .bar.two {
  display: none;
}
.navbar__hamburger.active .bar.thr {
  transform-origin: left;
  transform: rotate(-45deg);
}

.nbhb__dropdown {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  width: 60%;
}

.nbhb__dropdown ul {
  width: 100%;
  background-color:#aaaaaa;
}

.nbhb__dropdown li {
  padding: 2% 5%;
  display: flex;
  width: 80%;
  justify-content: center;
  align-items: center;
}

.nbhb__dropdown li:hover {
  background-color: #888888;
}

.nbhb__dropdown a {
  text-decoration: none;
  color: #4d4b9f;
}

.dropdown_dropdown {
  width: 11vw;
  height: 10vw;
  background-color: #777777;
  position: absolute;
  z-index: 10;
  right: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1200px) {
  .navbar__container img {
    height: 75px;
  }
}

@media (max-width: 800px) {
  .navbar__menu {
    display: none;
  }

  .navbar__hamburger {
    display: flex;
  }

  .nbhb__dropdown.active {
    display: flex;
  }
}

@media (orientation: portrait) {
  .navbar__menu {
    display: none;
  }

  .navbar__hamburger {
    display: flex;
  }

  .nbhb__dropdown.active {
    display: flex;
  }

  nav, .navbar__container, .navbar__container img {
    height: 10vh;
    font-size: 4.5rem;
    padding: 0;
  }

  .navbar__container img {
    height: 8vh;
    display: flex;
    justify-content: center;
  }

  .nbhb__dropdown {
    width: 100%;
    height: 100%;
  }

  .nbhb__dropdown ul, .nbhb__dropdown li {
    height: 100%;
    background-color: #aaaaaa;
    justify-content: flex-start;
  }

  .navbar__hamburger {
    right: 5%;
    width: 10%;
  }
}
@media (orientation: portrait) and (min-width: 800px) {
  nav, .navbar__container, .navbar__container img {
    font-size: 2.5rem;
  }
}

.dd_dd_container {
  display: none;
  flex-direction: column;
  background-color: bisque;
  right: 5%;
}

.dd_dd_container.active {
  display: flex;
}

.dd_dd_container.active a {
  height: 10vh;
  display: flex;
  padding: 0 5%;
  align-items: center;
  background-color: #999999;
}
.dd_dd_container.active a:hover {
  background-color: #888888;
}

.dropdown_dropdown {
  flex-direction: column;
}

.dropdown_dropdown .dd_dd_bar {
  height: 5px;
  width: 30%;
  background-color: #4d4b9f;
  border-radius: 20px;
  margin: 2.5% auto;
}

a.navbar__hamburger.active {
  background-color: #cccccc;
}
.dropdown_dropdown .dd_dd_bar.one {
  transform: rotate(45deg);
  margin-bottom: 7%;
}
.dropdown_dropdown .dd_dd_bar.two {
  transform: rotate(-45deg);
  margin-top: 7%;
}

.dropdown_dropdown.active {
  transform: rotate(90deg);
}





.main_dropdown {
  display: none;
  width: 90vw;
  grid-template-columns: auto 8vh;

  background-color: #cccccc;
  text-align: center;
  text-justify: center;
}

@media (orientation: portrait) {
  .main_dropdown {
    margin-top: 2vh;
  }
}

.main_dropdown.active {
  display: grid;
  background-color: #d5d5d5;
}

.main_dropdown a {
  display: flex;
  height: 8vh;
  position: relative;
  text-decoration: none;
}

.main_dropdown a h1 {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  color: black;   /* ? */
  padding: 0;
  font-size: 100%;
  font-family: PTSansRegular,Arial,Helvetica,sans-serif;
}

.main_dropdown a:hover h1 {
  background-color: #cfcfcf;
}


.dd_dd_btn h1 {
  width: 50%;
}

.dd_dd_btn.active h1 {
  transform: rotate(90deg);
}

.dd_dd_items {
  grid-column: span 2;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.dd_dd_items.active {
  display: flex;
}

.dd_dd_items a {
  width: 100%;
  display: block;
  background-color: #cdcdcd;
}

.dd_dd_items a h1 {
  height: 100%;
}

@media (orientation: portrait) and (min-width: 600px) {
  .main_dropdown a h1 {
    font-size: 2.5rem;
  }
}

@media (orientation: landscape) and (max-width: 800px) {
  .navbar__hamburger.active .bar {
    width: 45px;
  }
}

/* /Responsive */

@media (orientation: portrait) or (max-width: 1200px) {
  nav {
    height: calc(55px + 75px);
  } 
  
  .navbar__container {
    height: 75px;
  }

  .navbar__hamburger {
    width: 5vh;
    height: 5vh;
  }

  .main_dropdown {
    margin-top: 0 !important;
  }
}

@media (orientation: portrait) {
  .navbar__container img {
    display: flex;
    justify-content: center;
  }

  nav {
    height: 16vh;
  }
}
